summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Sokolovsky <pfalcon@users.sourceforge.net>2013-03-26 17:08:20 +0200
committerPaul Sokolovsky <pfalcon@users.sourceforge.net>2013-03-26 17:08:20 +0200
commit79fc9d43207180b4ac0b29311c4a8e43f2f78190 (patch)
tree0b8185c2d85694ed5790403100c608ba750ada73
parent61fca01456347595b6c6aaed107c2948dcb7dbd1 (diff)
downloadmanifest-79fc9d43207180b4ac0b29311c4a8e43f2f78190.tar.gz
Add test script for validating rebased revs handling.HEADmaster
-rwxr-xr-xtest-checkout.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/test-checkout.sh b/test-checkout.sh
new file mode 100755
index 0000000..ccb6dd7
--- /dev/null
+++ b/test-checkout.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+rm -rf checkout
+mkdir checkout
+cd checkout
+
+test_one () {
+ D=$PWD
+ mkdir $1
+ cd $1
+ repo init -q -u git://git.linaro.org/people/pfalcon/repo-rebased/manifest.git -m $1.xml
+ repo sync
+ cd repo-rebased-fetch-$1
+ git describe --always
+ cd $D
+}
+
+test_one by-branch
+test_one by-branch-rev
+test_one by-tag
+test_one by-tag-rev